/** The Area class represents a clickable space*/

public class Area {
	private String id, shape;
	public int left, top, right, bottom;

	public Area(String id, String shape, int left, int top, int right, int bottom) {
		this.id=id;
		this.shape=shape;
		this.left=left;
		this.top=top;
		this.right=right;
		this.bottom=bottom;
	}

	public String getId() {return id;}

	public boolean isInArea(int x, int y){
		boolean result=(((x>=left) && (x<=right)) && ((y>=top) && (y<=bottom)));
		return result;
	}
	
	public String toString() {
	String returnString;
	
	returnString="id: " + id +" shape: " + shape + "left: " + left + "top: " + top + "right: " + right + " bottom: " + bottom;
	return returnString;
	}
}