/** The XLink Test class tests a SAX implementation of an XLink parser filter*/
/* Version 0.11 - Last Modified 11/23/98*/
/* Copyright 1998 Simon St.Laurent */
/* No warranty provided - use at your own risk */

//package com.simonstl.sax;

/* Modification history
 * 11/23/98 Added parserClass arg - Toivo Lainevool
*/

import org.ccil.cowan.sax.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;
//import com.microstar.xml.*;
import java.io.IOException;
import java.io.File;


public class XLinkTest {


public static void main (String[] argv) throws IllegalAccessException, InstantiationException,
             ClassNotFoundException  {
	String	uri;

	XLinkUser testUser;


    if (argv.length < 1 || argv.length > 2) {
	    System.err.println ("Usage: cmd filename [parser class]");
	    System.exit (1);
	}

	uri = argv [0];
	String parserClass = "com.microstar.xml.SAXDriver";
	if( argv.length == 2 ) {
		parserClass = argv[1];
	}
		
    testUser=new XLinkUser(uri, parserClass);
    }
}